<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8">
<title>バーコード対応POSレジアプリ</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<style>
  body { font-family: Arial, sans-serif; }
  .item { margin-bottom: 10px; }
  .total { margin-top: 10px; }
  .error { color: red; }
  /* スマートフォン用のスタイル */
  @media screen and (max-width: 360px) { /* 6インチスマホの横幅の目安 */
    body { padding: 5px; font-size: 16px; } /* フォントサイズを大きく調整 */
    h2 { font-size: 18px; } /* 見出しのフォントサイズを大きく調整 */
    .item, .total, .error { font-size: 16px; } /* テキストのフォントサイズを大きく調整 */
    #barcode-input, #new-product-name, #new-product-price { margin-bottom: 15px; } /* 入力フィールドのマージンを調整 */
    button { font-size: 16px; padding: 10px 0; } /* ボタンのフォントサイズとパディングを調整 */
  }
</style>
</head>
<body>
<h2>Zebra POS demo</h2>
<h2>商品リスト</h2>
<div id="items"></div>
<div class="total">合計: <span id="total">0</span>円</div>
<div class="total">消費税込み合計: <span id="taxed-total">0</span>円</div>
<div class="error" id="error-message"></div>

<!-- バーコードスキャンフィールドと精算ボタン -->
<input type="text" id="barcode-input" placeholder="バーコードをスキャン">
<button onclick="calculateTax()">精算</button>

<!-- 新商品登録フォーム -->
<h2>新商品登録</h2>
<input type="text" id="new-barcode" placeholder="バーコードを入力" autofocus><BR>
<input type="text" id="new-product-name" placeholder="商品名を入力"><BR>
<input type="number" id="new-product-price" placeholder="価格を入力"><BR>
<button onclick="registerProduct()">登録</button>

<script>
  document.oncontextmenu = function () {return false;}
  // 商品データ
  let products = [
    { id: 1, barcode: '123', name: 'りんご', price: 100 },
    { id: 2, barcode: '456', name: 'ばなな', price: 150 },
    { id: 3, barcode: '789', name: 'みかん', price: 200 }
  ];

  // 商品を画面に表示する関数
  function displayItems() {
    const itemsContainer = document.getElementById('items');
    itemsContainer.innerHTML = '';
    products.forEach((product) => {
      const itemDiv = document.createElement('div');
      itemDiv.classList.add('item');
      itemDiv.textContent = `${product.name}: ${product.price}円 `;
      itemsContainer.appendChild(itemDiv);
    });
  }

  // 新商品を登録する関数



 // 新商品を登録する関数
  function registerProduct() {
    const barcode = document.getElementById('new-barcode').value;
    const name = document.getElementById('new-product-name').value;
    const price = document.getElementById('new-product-price').value;
    if (barcode && name && price) {
      const newProduct = { id: products.length + 1, barcode, name, price: parseInt(price) };
      products.push(newProduct);
      displayItems(); // 商品リストを更新
      addItem(newProduct.id); // 新商品を合計に追加
      // 入力フィールドをクリア
      document.getElementById('new-barcode').value = '';
      document.getElementById('new-product-name').value = '';
      document.getElementById('new-product-price').value = '';
      document.getElementById('error-message').textContent = ''; // エラーメッセージをクリア
    } else {
      // 必要な情報が入力されていない場合のエラーメッセージ
      document.getElementById('error-message').textContent = '全てのフィールドに情報を入力してください。';
    }
  }


  // バーコード入力を処理する関数
  document.getElementById('barcode-input').addEventListener('change', function(e) {
    const barcode = e.target.value;
    const product = products.find(p => p.barcode === barcode);
    if (product) {
      addItem(product.id);
      e.target.value = ''; // 入力フィールドをクリア
      document.getElementById('error-message').textContent = ''; // エラーメッセージをクリア
    } else {
      // エラーメッセージを表示
      
      document.getElementById('error-message').textContent = 'エラー: 該当するバーコードの商品が見つかりません。' + e.target.value;
      e.target.value = ''; // 入力フィールドをクリア 
    }
  });

  // 商品を追加し、合計を更新する関数
  function addItem(productId) {
    const product = products.find(p => p.id === productId);
    const totalElement = document.getElementById('total');
    totalElement.textContent = parseInt(totalElement.textContent) + product.price;
  }

  // 消費税を計算し、表示する関数
  function calculateTax() {
    const totalElement = document.getElementById('total');
    const taxedTotalElement = document.getElementById('taxed-total');
    const total = parseInt(totalElement.textContent);
    const taxRate = 0.10; // 消費税率10%
    const taxedTotal = total + (total * taxRate);
    taxedTotalElement.textContent = taxedTotal.toFixed(2); // 小数点以下2桁で丸める
  }

  // 初期表示
  displayItems();
</script>

</body>
</html>
